"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.format = void 0;
const core_1 = require("@checkup/core");
function format(taskResults, args) {
    var _a;
    args.writer.section((_a = taskResults[0].properties) === null || _a === void 0 ? void 0 : _a.taskDisplayName, () => {
        args.writer.sectionedBar(taskResults.map((result) => {
            return result.message.text === core_1.NO_RESULTS_FOUND
                ? core_1.renderEmptyResult(result)
                : {
                    title: result.message.text,
                    count: result.occurrenceCount,
                };
        }), core_1.sumOccurrences(taskResults), 'dependencies');
    });
}
exports.format = format;
//# sourceMappingURL=outdated-dependencies-formatter.js.map